#perl! -w

#usage
#perl split_ms.pl outhotms 352 10

system("rm *_trimmed*");

my $file=shift(@ARGV); chomp $file;
my $indivs=shift(@ARGV); chomp $indivs;
my $parts =shift(@ARGV); chomp $parts;

my $trimmed="$file"."_trimmed";

system("cat $file | grep -v positions | grep -v segsites | grep -v msHOT | grep -v 2 | grep -v 3 | grep -v 4 | grep -v 5 | grep -v 6 | grep -v 7| grep -v 8 | grep -v 9 | grep -v / > $trimmed"); 
#get rid of all the other lines that are not genotype lines

system("sed '/^\$/d' $trimmed > trimmed_temp");
system("mv trimmed_temp $trimmed"); 
#get rid of white space

for $i (1..$parts){

    my $count=$i*$indivs;
    my $name="$trimmed"."_"."$i";
    system("head -n $count $trimmed | tail -n $indivs > trimmed_indiv_temp");
    system("cut -c1 trimmed_indiv_temp > $name");
    
}
#separate out similations    

my $output="$file"."_combined";
my $search="$file"."_"."trimmed_";
system("paste $search* > $output");

system("rm $search* trimmed_indiv_temp");
