data<-read.table(file="genotypes_tlmc.txt",sep="\t",head=TRUE)

list<-as.matrix(read.table(file="focal_pairs_tlmc",sep="\t",head=FALSE))

list1<-list[,1]
list2<-list[,2]

for (z in 1:207){

index1=list1[z]
index2=list2[z]

val1<-as.matrix(data[index1])
val2<-as.matrix(data[index2])

malcount=0
bircount=0
hetcount=0
mal_bir=0
mal_het=0
mal_het=0
bir_het=0
bir_mal=0
het_mal=0
het_bir=0
counter=0

for (x in 1:170){

currval1=val1[x,]
currval2=val2[x,]


if ((currval1==2) & (currval2==2)){
    malcount=malcount+1
    counter=counter+1
}

if ((currval1==1) & (currval2==1)){
    hetcount=hetcount+1
    counter=counter+1
}

if ((currval1==0) & (currval2==0)){
    bircount=bircount+1
    counter=counter+1
}

if ((currval1==2) & (currval2==1)){
    mal_het=mal_het+1
    counter=counter+1
}

if ((currval1==1) & (currval2==2)){
    het_mal=het_mal+1
    counter=counter+1
}

if ((currval1==2) & (currval2==0)){
    mal_bir=mal_bir+1
    counter=counter+1
}

if ((currval1==0) & (currval2==2)){
    bir_mal=bir_mal+1
    counter=counter+1
}

if ((currval1==0) & (currval2==1)){
    bir_het=bir_het+1
    counter=counter+1
}

if ((currval1==1) & (currval2==0)){
    het_bir=het_bir+1
    counter=counter+1
}

      

}

write.table(cbind(malcount,bircount,hetcount,mal_bir,mal_het,bir_het,bir_mal,het_mal,het_bir,counter),file="count_results_tlmc.txt",sep="\t",row.names=FALSE,col.names=FALSE,append=TRUE)

}
